Appearance
Remove Schedule
DELETE/public/schedule/{scheduleId}Cancel and remove a scheduled post so it will not be published.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Premium+
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
scheduleId | string | Yes | The unique identifier of the scheduled post. |
Example Request
bash
curl -X DELETE "https://api.repliz.com/public/schedule/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from 'axios';
const scheduleId = '680affa5ce12f2f72916f67e';
const response = await axios.delete(`https://api.repliz.com/public/schedule/${scheduleId}`, {
auth: {
username: 'YOUR_ACCESS_KEY',
password: 'YOUR_SECRET_KEY'
}
});
console.log(response.data);javascript
const credentials = btoa('YOUR_ACCESS_KEY:YOUR_SECRET_KEY');
const scheduleId = '680affa5ce12f2f72916f67e';
const response = await fetch(`https://api.repliz.com/public/schedule/${scheduleId}`, {
method: 'DELETE',
headers: {
'Authorization': `Basic ${credentials}`
}
});
const data = await response.json();
console.log(data);Response
json
// No content returned on successjson
{
"code": 404,
"message": "schedule not found"
}json
{
"code": 401,
"message": "unauthorized"
}